{
  "name": "@cryptexlabs/codex-data-model",
  "version": "0.1.10",
  "description": "Shared data models for Codex framework for both front end and backend applications",
  "main": "lib/0.1.0/index.js",
  "repository": "git@gitlab.com:cryptexlabs/public/codex-data-model.git",
  "author": "Cryptex Labs",
  "license": "MIT",
  "private": false,
  "types": "index.d.ts",
  "maintainers": [
    "Josh Woodcock <josh.woodcock@cryptexlabs.com>"
  ],
  "devDependencies": {
    "husky": "^4.3.0",
    "pre-commit": "^1.2.2",
    "prettier": "^2.1.2",
    "rimraf": "^3.0.2",
    "tslint": "^6.1.2",
    "typescript": "^3.9.5"
  },
  "scripts": {
    "prettier": "prettier --check '{src,test}/**/*.{js,ts,md}'",
    "prettier:fix": "prettier --write '{src,test}/**/*.{js,ts,md}'",
    "lint": "tslint -p tsconfig.json -c tslint.json",
    "build": "yarn clean && yarn compile",
    "clean": "rimraf dist && rimraf lib/*",
    "compile": "tsc",
    "git:add": "git add ."
  },
  "husky": {
    "hooks": {
      "pre-commit": "yarn lint && yarn prettier && yarn build && yarn git:add"
    }
  },
  "pre-commit.silent": false,
  "dependencies": {
    "@types/i18n": "0.12.0"
  }
}
